Note: Due to technical difficulties, the Archives are currently not up to date.
GMANE provides an alternative service for most mailing lists. c.f. bug 424647
List Archive: gentoo-commits
commit: 282e3048e98d3f07c3636ece8ba5365b2caa67cf
Author: Alexandre Rostovtsev <tetromino <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 21 02:11:55 2011 +0000
Commit: Alexandre Restovtsev <tetromino <AT> gmail <DOT> com>
CommitDate: Fri Oct 21 02:11:55 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=282e3048
gnome-base/gnome-shell: drop -DG_DISABLE_DEPRECATED flag
Needed for sanity on glib upgrades. Fixes bug #384765, thanks to
Oschtan <dawnstyle <AT> gmail.com> for reporting.
---
gnome-base/gnome-shell/gnome-shell-3.2.1.ebuild | 8 ++++++++
gnome-base/gnome-shell/gnome-shell-9999.ebuild | 8 ++++++++
2 files changed, 16 insertions(+), 0 deletions(-)
diff --git a/gnome-base/gnome-shell/gnome-shell-3.2.1.ebuild b/gnome-base/gnome-shell/gnome-shell-3.2.1.ebuild
index 1fe076b..d264034 100644
--- a/gnome-base/gnome-shell/gnome-shell-3.2.1.ebuild
+++ b/gnome-base/gnome-shell/gnome-shell-3.2.1.ebuild
@@ -113,6 +113,14 @@ pkg_setup() {
BROWSER_PLUGIN_DIR=${EPREFIX}/usr/$(get_libdir)/nsbrowser/plugins"
}
+src_prepare() {
+ gnome2_src_prepare
+ # Drop G_DISABLE_DEPRECATED for sanity on glib upgrades; bug #384765
+ # Note: sed Makefile.in because it is generated from several Makefile.ams
+ sed -e 's/-DG_DISABLE_DEPRECATED//g' \
+ -i src/Makefile.in browser-plugin/Makefile.in || die "sed failed"
+}
+
src_install() {
gnome2_src_install
python_convert_shebangs 2 "${D}"/usr/bin/gnome-shell-extension-tool
diff --git a/gnome-base/gnome-shell/gnome-shell-9999.ebuild b/gnome-base/gnome-shell/gnome-shell-9999.ebuild
index 1fe076b..d264034 100644
--- a/gnome-base/gnome-shell/gnome-shell-9999.ebuild
+++ b/gnome-base/gnome-shell/gnome-shell-9999.ebuild
@@ -113,6 +113,14 @@ pkg_setup() {
BROWSER_PLUGIN_DIR=${EPREFIX}/usr/$(get_libdir)/nsbrowser/plugins"
}
+src_prepare() {
+ gnome2_src_prepare
+ # Drop G_DISABLE_DEPRECATED for sanity on glib upgrades; bug #384765
+ # Note: sed Makefile.in because it is generated from several Makefile.ams
+ sed -e 's/-DG_DISABLE_DEPRECATED//g' \
+ -i src/Makefile.in browser-plugin/Makefile.in || die "sed failed"
+}
+
src_install() {
gnome2_src_install
python_convert_shebangs 2 "${D}"/usr/bin/gnome-shell-extension-tool
|
|